from pathlib import Path
from typing import Final

from ...base import FileHandler
from .base import dump_api_message


class FileHandlerAPI(FileHandler):
    def __init__(self, folder: Path):
        self.folder: Final = folder

    def create(self, filename: str, content: bytes, text: bool = False):
        self.folder.mkdir(exist_ok=True)
        with open(self.folder.joinpath(filename), "wb") as fp:
            fp.write(content)
        dump_api_message("file", {"filename": filename, "size": len(content)})
