import logging
from pathlib import Path
from typing import Final

from ..base import FileHandler


class SimpleFileHandler(FileHandler):
    def __init__(self, logger: logging.Logger, folder: Path):
        self.logger: Final = logger
        self.folder: Final = folder

    def create(self, filename: str, content: bytes, text: bool = False):
        if text:
            for line in content.decode("utf-8").splitlines():
                self.logger.info(line)
        else:
            self.folder.mkdir(exist_ok=True)
            with open(self.folder.joinpath(filename), "wb") as fp:
                fp.write(content)
